%define subver 14

Name: hwsetup
Version: 1.0
Release: alt3

Summary: Automatic hardware setup tool
License: GPL
Group: System/Configuration/Hardware

Url: http://www.knopper.net
Source: http://developer.linuxtag.net/knoppix/sources/%name-%version-%subver.tar.gz
Source1: hwsetup.init
Packager: Michael Shigorin <mike@altlinux.ru>

# Automatically added by buildreq on Wed Feb 18 2004
BuildRequires: kudzu-knoppix-devel-static <= 1.1.3 libssl pciutils-devel-static
Conflicts: lilo grub kudzu ldetect-lst

%description
Automatic hardware setup using the kudzu library

hwsetup is a non-interactive hardware setup tool that tries to read your
hardware setup and autoloads all necessary modules, plus generating the
symlinks for mouse and cdrom/scanner in /dev.

IMPORTANT: THIS PACKAGE IS NOT INTENDED FOR INSTALLATION IN "NORMAL" SYSTEMS
IT IS PROVIDED AS IS FOR A SHORT TERM NEED OF BUILDING LIVE CD SYSTEMS
WHICH AUTOCONFIGURE THEMSELVES

(that is, in a long term it's going to be replaced by libhw-based solution)

%prep
%setup -q

%build
%make_build

%install
%__install -pD -m 755 %SOURCE1 %buildroot%_initdir/hwsetup

%makeinstall

%post
%post_service hwsetup

%preun
%preun_service hwsetup


%files
%_sbindir/*
%config %_initdir/hwsetup
%doc debian/README.Debian

%changelog
* Tue May 25 2004 Michael Shigorin <mike@altlinux.ru> 1.0-alt3
- rebuilt for Sisyphus
- spec cleanup
- added warning in package description
- added Conflicts: kudzu ldetect-lst

* Wed May 05 2004 Alexey Beleckiy <sinister@altlinux.ru> 1.0-alt2
- built for EMT

* Wed Feb 18 2004 Alexey Beleckiy <sinister@altlinux.ru> 1.0-alt1
- built for ALT Linux

